const jwt = require('jsonwebtoken');

const secretKey = process.env.JWT_SECRET || 'your-secret-key'; // Always use environment variables for secrets

const TokenService = {
  // Function to create a token
  createToken: (payload) => {
    return jwt.sign(payload, secretKey, { expiresIn: '1h' });
  },

  // Function to validate a token
  validateToken: (token) => {
    try {
      return jwt.verify(token, secretKey);
    } catch (err) {
      throw new Error('Invalid token');
    }
  },

  // Function to decode token without verifying
  decodeToken: (token) => {
    return jwt.decode(token);
  }
};

module.exports = TokenService;

