const TokenService = require('../src/tokenService');

describe('TokenService', () => {
  test('should generate and validate a token', () => {
    const payload = { userId: 123 };
    const token = TokenService.createToken(payload);
    const decoded = TokenService.validateToken(token);

    expect(decoded.userId).toBe(123);
  });

  test('should throw an error for an invalid token', () => {
    expect(() => TokenService.validateToken('invalidToken')).toThrow('Invalid token');
  });
});

